Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex.util
Class BeforeAfter

    java.lang.Object
      writer2latex.latex.util.BeforeAfter

    public class BeforeAfter

extends java.lang.Object

Utility class to hold LaTeX code to put before/after other LaTeX code

Field Summary
`private java.lang.String` | `sAfter`
`private java.lang.String` | `sBefore`

Constructor Summary
`BeforeAfter()`

Method Summary
`void` | `add(java.lang.String sBefore1, java.lang.String sAfter1)` Add data to the `BeforeAfter` The new data will be be added "inside", thus for example `add("\textsf{","}");` `add("\textit{","}");` will create the pair `\textsf{\textit{`, `}}`
`java.lang.String` | `getAfter()` Get LaTeX code to put after
`java.lang.String` | `getBefore()` Get LaTeX code to put before
`boolean` | `isEmpty()` Check if this `BeforeAfter` contains any data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sBefore

    private java.lang.String sBefore

### sAfter

    private java.lang.String sAfter

Constructor Detail

### BeforeAfter

    public BeforeAfter()

Method Detail

### add

    public void add(java.lang.String sBefore1,
                    java.lang.String sAfter1)

  Add data to the `BeforeAfter`

  The new data will be be added "inside", thus for example

  - `add("\textsf{","}");`
  - `add("\textit{","}");`

  will create the pair `\textsf{\textit{`, `}}`

  Parameters:
    `sBefore1` - LaTeX code to put before
    `sBefore2` - LaTeX code to put after

### getBefore

    public java.lang.String getBefore()

  Get LaTeX code to put before

  Returns:
    then LaTeX code

### getAfter

    public java.lang.String getAfter()

  Get LaTeX code to put after

  Returns:
    then LaTeX code

### isEmpty

    public boolean isEmpty()

  Check if this `BeforeAfter` contains any data

  Returns:
    true if there is data in at least one part

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD